# Type alias ConfigWorkflowStep

ConfigWorkflowStep: {
contextField?: string;
name: string;
onlyWhen?: ((context) => Promise<boolean>);
} & (ConfigWorkflowFormStep | ConfigWorkflowBuilderStep)

#### Type declaration

- ##### `Optional` contextField?: string

- ##### name: string

- ##### `Optional` onlyWhen?: ((context) => Promise<boolean>)

  - - (context): Promise<boolean>

    - #### Parameters

      - ##### context: GenObj

      #### Returns Promise<boolean>

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:31

Generated using TypeDoc